GET /v2/Services/{ServiceSid}/Entities/{Identity}/Challenges

twilio.com:twilio_verify_v2

Summary:
Operation ID: ListChallenge
Auth: unknown
Description

Retrieve a list of all Challenges for a Factor.

Parameters (8)

FactorSid (string, query, optional)

The unique SID identifier of the Factor.

Constraints: {'minLength': 34, 'maxLength': 34, 'pattern': '^YF[0-9a-fA-F]{32}$'}

Identity (string, path, required)

Customer unique identity for the Entity owner of the Challenge. This identifier should be immutable, not PII, length between 8 and 64 characters, and generated by your external system, such as your user's UUID, GUID, or SID. It can only contain dash (-) separated alphanumeric characters.

Order (string, query, optional)

The desired sort order of the Challenges list. One of `asc` or `desc` for ascending and descending respectively. Defaults to `asc`.

Page (integer, query, optional)

The page index. This value is simply for client state.

Constraints: {'minimum': 0}

PageSize (integer, query, optional)

How many resources to return in each list page. The default is 50, and the maximum is 1000.

Constraints: {'minimum': 1, 'maximum': 1000}

PageToken (string, query, optional)

The page token. This is provided by the API.

ServiceSid (string, path, required)

The unique SID identifier of the Service.

Constraints: {'minLength': 34, 'maxLength': 34, 'pattern': '^VA[0-9a-fA-F]{32}$'}

Status (string, query, optional)

The Status of the Challenges to fetch. One of `pending`, `expired`, `approved` or `denied`.

No probe data for this endpoint yet.